Skip to main content
Files that were deleted and are in the trash.

Trashed File

Represents a trashed file.
PropertyTypeRequiredDescription
idstringYesThe unique identifier that represent a file. The ID for any file can be determined by visiting a file in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/files/123 the file_id is 123.
etagstringNoThe HTTP etag of this file. This can be used within some API endpoints in the If-Match and If-None-Match headers to only perform changes on the file if (no) changes have happened. Can be null.
typeenum<string>YesThe value will always be file. Available options: file.
sequence_idstringYesA numeric identifier that represents the most recent user event that has been applied to this item. This can be used in combination with the GET /events-endpoint to filter out user events that would have occurred before this identifier was read. An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the sequence_id in the event is smaller than or equal to the sequence_id in the originally fetched resource. Can be null.
namestringNoThe name of the file.
sha1stringYesThe SHA1 hash of the file. This can be used to compare the contents of a file on Box with a local file.
file_versionFile version (Mini)NoThe information about the current version of the file.
descriptionstringYesThe optional description of this file.
sizeintegerYesThe file size in bytes. Be careful parsing this integer as it can get very large and cause an integer overflow.
path_collectionobjectYesA list of parent folders for an item in the trash.
created_atstringYesThe date and time when the file was created on Box.
modified_atstringYesThe date and time when the file was last updated on Box.
trashed_atstringNoThe time at which this file was put in the trash. Can be null.
purged_atstringNoThe time at which this file is expected to be purged from the trash. Can be null.
content_created_atstringNoThe date and time at which this file was originally created, which might be before it was uploaded to Box. Can be null.
content_modified_atstringNoThe date and time at which this file was last updated, which might be before it was uploaded to Box. Can be null.
created_byUser (Mini)NoThe user who created this file.
modified_byUser (Mini)YesThe user who last modified this file.
owned_byUser (Mini)YesThe user who owns this file.
shared_linkstringNoThe shared link for this file. This will be null if a file has been trashed, since the link will no longer be active. Can be null.
parentFolder (Mini)NoThe folder that this file is located within. Can be null.
item_statusenum<string>YesDefines if this item has been deleted or not. - active when the item has is not in the trash - trashed when the item has been moved to the trash but not deleted - deleted when the item has been permanently deleted. Available options: active, trashed, deleted.
Example
{
  "id": "123456789",
  "etag": "1",
  "type": "file",
  "sequence_id": "3",
  "name": "Contract.pdf",
  "sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
  "file_version": {
    "id": "12345",
    "type": "file_version",
    "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
  },
  "description": "Contract for Q1 renewal",
  "size": 629644,
  "path_collection": {
    "total_count": 1,
    "entries": [
      {
        "type": "folder",
        "id": "123456789",
        "sequence_id": null,
        "etag": null,
        "name": "Trash"
      }
    ]
  },
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00",
  "trashed_at": "2012-12-12T10:53:43-08:00",
  "purged_at": "2012-12-12T10:53:43-08:00",
  "content_created_at": "2012-12-12T10:53:43-08:00",
  "content_modified_at": "2012-12-12T10:53:43-08:00",
  "created_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "modified_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "owned_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "shared_link": null,
  "parent": {
    "id": "12345",
    "etag": "1",
    "type": "folder",
    "sequence_id": "3",
    "name": "Contracts"
  },
  "item_status": "trashed"
}

Trashed File (Restored)

Represents a file restored from the trash.
PropertyTypeRequiredDescription
idstringYesThe unique identifier that represent a file. The ID for any file can be determined by visiting a file in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/files/123 the file_id is 123.
etagstringNoThe HTTP etag of this file. This can be used within some API endpoints in the If-Match and If-None-Match headers to only perform changes on the file if (no) changes have happened. Can be null.
typeenum<string>YesThe value will always be file. Available options: file.
sequence_idstringYesA numeric identifier that represents the most recent user event that has been applied to this item. This can be used in combination with the GET /events-endpoint to filter out user events that would have occurred before this identifier was read. An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the sequence_id in the event is smaller than or equal to the sequence_id in the originally fetched resource. Can be null.
namestringNoThe name of the file.
sha1stringYesThe SHA1 hash of the file. This can be used to compare the contents of a file on Box with a local file.
file_versionFile version (Mini)NoThe information about the current version of the file.
descriptionstringYesThe optional description of this file.
sizeintegerYesThe file size in bytes. Be careful parsing this integer as it can get very large and cause an integer overflow.
path_collectionobjectYesA list of parent folders for an item.
created_atstringYesThe date and time when the file was created on Box.
modified_atstringYesThe date and time when the file was last updated on Box.
trashed_atstringNoThe time at which this file was put in the trash - becomes null after restore. Can be null.
purged_atstringNoThe time at which this file is expected to be purged from the trash - becomes null after restore. Can be null.
content_created_atstringNoThe date and time at which this file was originally created, which might be before it was uploaded to Box. Can be null.
content_modified_atstringNoThe date and time at which this file was last updated, which might be before it was uploaded to Box. Can be null.
created_byUser (Mini)NoThe user who created this file.
modified_byUser (Mini)YesThe user who last modified this file.
owned_byUser (Mini)YesThe user who owns this file.
shared_linkstringNoThe shared link for this file. This will be null if a file had been trashed, even though the original shared link does become active again. Can be null.
parentFolder (Mini)NoThe folder that this file is located within. Can be null.
item_statusenum<string>YesDefines if this item has been deleted or not. - active when the item has is not in the trash - trashed when the item has been moved to the trash but not deleted - deleted when the item has been permanently deleted. Available options: active, trashed, deleted.
Example
{
  "id": "123456789",
  "etag": "1",
  "type": "file",
  "sequence_id": "3",
  "name": "Contract.pdf",
  "sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
  "file_version": {
    "id": "12345",
    "type": "file_version",
    "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
  },
  "description": "Contract for Q1 renewal",
  "size": 629644,
  "path_collection": {
    "total_count": 1,
    "entries": [
      {
        "id": "12345",
        "etag": "1",
        "type": "folder",
        "sequence_id": "3",
        "name": "Contracts"
      }
    ]
  },
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00",
  "trashed_at": null,
  "purged_at": null,
  "content_created_at": "2012-12-12T10:53:43-08:00",
  "content_modified_at": "2012-12-12T10:53:43-08:00",
  "created_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "modified_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "owned_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "shared_link": null,
  "parent": {
    "id": "12345",
    "etag": "1",
    "type": "folder",
    "sequence_id": "3",
    "name": "Contracts"
  },
  "item_status": "active"
}
Last modified on July 9, 2026